Subject: Re: [PATCH 3/6] [NET] dsa: add support for original DSA tagging format

From: Stephen Hemminger <[email-masked]>
Date: Fri, 3 Oct 2008 19:36:01 +0200

Please use stronger types..

> +static inline int netdev_uses_dsa_tags(struct net_device *dev)

I would use:
static inline bool netdev_uses_dsa_tags(const struct net_device *dev)

> +int dsa_uses_dsa_tags(void *dsa_ptr);
extern bool dsa_uses_dsa_tags(const struct dsa_switch *dsa);